> ## Documentation Index
> Fetch the complete documentation index at: https://docs.theguarantors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger a sandbox webhook

> Advances a sandbox entity to its next state and delivers the matching webhook. Sandbox only.



## OpenAPI

````yaml /openapi/application-api.json post /v1/webhooks/trigger
openapi: 3.1.0
info:
  description: >-
    Partner API for creating invites, tracking applications, and retrieving
    bonds.
  title: TheGuarantors Application API
  contact: {}
  version: '1.0'
servers:
  - url: https://api.theguarantors.com
security: []
paths:
  /v1/webhooks/trigger:
    post:
      tags:
        - Webhooks
      summary: Trigger a sandbox webhook
      description: >-
        Advances a sandbox entity to its next state and delivers the matching
        webhook. Sandbox only.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TriggerEventRequest'
        description: Event to trigger
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook'
        '400':
          description: Invalid request body, including fields the endpoint does not accept
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: invalid request body
                object: error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: Missing authorization header
                object: error
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: entity not found
                object: error
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: resource cannot be modified in its current state
                object: error
        '429':
          description: Rate limit exceeded
        '501':
          description: Not Implemented
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: event type not implemented
                object: error
      security:
        - BasicAuth: []
components:
  schemas:
    TriggerEventRequest:
      type: object
      required:
        - event_type
      properties:
        application_id:
          type: string
          example: sd_3k29dls92jf83kdl
        bond_id:
          type: string
          example: bond_7f29djw82kdpq9sl
        event_type:
          type: string
          enum:
            - application.status.started
            - application.status.submitted
            - application.status.pending
            - application.status.approved
            - application.status.denied
            - applicant.status.started
            - applicant.status.submitted
            - bond.status.issued
            - bond.status.canceled
          example: application.status.approved
        invite_id:
          type: string
          example: inv_01HQ8X
        invite_recipient_id:
          type: string
          example: ivre_q7ghmgtaavp37krc
    Webhook:
      type: object
      required:
        - data
        - event_id
        - event_type
        - occurred_at
      properties:
        data:
          type: object
        event_id:
          type: string
          example: 9b1e4c7a-2d3f-4e8b-a6c5-0f7d2e9a1b84
        event_type:
          allOf:
            - $ref: '#/components/schemas/EventType'
          example: bond.status.issued
        occurred_at:
          type: string
          example: '2026-08-28T16:41:19Z'
    ErrorResponse:
      type: object
      required:
        - message
        - object
      properties:
        message:
          type: string
          example: invite not found
        object:
          type: string
          example: error
    EventType:
      type: string
      enum:
        - invite.status.canceled
        - invite.updated
        - invite_recipient.removed
        - invite_recipient.added
        - invite_recipient.updated
        - applicant.status.started
        - applicant.status.submitted
        - application.status.started
        - application.status.submitted
        - application.status.approved
        - application.status.denied
        - application.status.pending
        - application.status.canceled
        - bond.status.issued
        - bond.status.canceled
      x-enum-varnames:
        - INVITE_CANCELED_EVENT
        - INVITE_UPDATED_EVENT
        - INVITE_RECIPIENT_REMOVED_EVENT
        - INVITE_RECIPIENT_ADDED_EVENT
        - INVITE_RECIPIENT_UPDATED_EVENT
        - APPLICANT_STARTED_EVENT
        - APPLICANT_SUBMITTED_EVENT
        - APPLICATION_STARTED_EVENT
        - APPLICATION_SUBMITTED_EVENT
        - APPLICATION_APPROVED_EVENT
        - APPLICATION_DENIED_EVENT
        - APPLICATION_PENDING_EVENT
        - APPLICATION_CANCELED_EVENT
        - BOND_ISSUED_EVENT
        - BOND_CANCELED_EVENT
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````